Subject: Re: adding users that teh ftp server recognizes

From: Eduard Vopicka <[email-masked]>
Date: Thu, 11 Jul 1996 07:06:04 +0200

On Jul 10,  8:52pm, MIke wrote:
} Subject: adding users that teh ftp server recognizes
} I've been trying to add users to my server that can only access an ftp
} account, not a shell account. I tried adding a user to the /etc/passwd file
} with the shell listed as /bin/false, but then the ftp server refused access
} by that user. I then tried listing the shell as /bin/noshell and then
} /etc/noshell. But the ftp server refused a connection by the users then too.
} And then, by someone else's recommendation, i tried setting up the user with
} his home directory as /dev/null, wich allowed the user to login via ftp, but
} since /dev/null was set as teh home directory, instead of /home/ftp it
} didn't bring the user to teh ftp server.
} 
} 
}                                 Any ideas would be greatly appreciated
}                                                 Thanks
}                                         [email-masked]
} 
}-- End of excerpt from MIke

1) Specify /bin/false as user's shell in /etc/passwd.
2) Add /bin/false to /etc/shells.

IMHO this scenario should work.

Good luck,

Eduard Vopicka

-- 
"Eduard Vopicka, Computing Centre, Prague University of Economics,
W. Churchill Square 4, CZ 130 67 Prague 3" <[email-masked]>